Хотелось бы пакеты apt-rdepends и checkinstall

Сообщения
136
#1
Друзья! Я не могу понять. Во-первых, может, я не там их ищу? Пакеты безобидные, полезные, не экзотика. Первый рекурсивно кропает дерево зависимостей файла *.deb, второй кропает файлы *.deb из исходников. А почему пакетов apt-rdepends и checkinstall нет в дистрибутиве Смоленск 1.5?

В другой плохой оси я бы скачал что мне надо откуда-нибудь и всё. А тут нельзя. Чё дали, тем и пользуйся.
 

cogniter

Moderator
Team Astra Linux
Сообщения
507
#2
Друзья! Я не могу понять. Во-первых, может, я не там их ищу? Пакеты безобидные, полезные, не экзотика. Первый рекурсивно кропает дерево зависимостей файла *.deb, второй кропает файлы *.deb из исходников. А почему пакетов apt-rdepends и checkinstall нет в дистрибутиве Смоленск 1.5?

В другой плохой оси я бы скачал что мне надо откуда-нибудь и всё. А тут нельзя. Чё дали, тем и пользуйся.
Не получается вообще все поместить на 1 диск.

apt-rdepens есть тут https://mirror.yandex.ru/astra/frozen/orel-1.11/repository/pool/main/a/apt-rdepends/

Checkinstall можно из Дебиан взять
 
Сообщения
136
#3
Не получается вообще все поместить на 1 диск.

apt-rdepens есть тут https://mirror.yandex.ru/astra/frozen/orel-1.11/repository/pool/main/a/apt-rdepends/

Checkinstall можно из Дебиан взять
То, что где-то там чего-то есть, я очень рад. Но это не другая плохая ось, где я откуда угодно могу скачать и оно будет работать, это линукс. А потому будьте добры, не включайте дурака и поступите как вы УЖЕ поступаете- запихайте эти пакеты в обновление и назовите его обновлением безопасности. Либо распространяйте как "диск разработчика после обновления" через запрос в техподдержку- ну раз вы по другому не можете. Либо ещё как-нибудь, найдите способ, одним словом. Стыдно так халтурить. Я не луну с неба прошу.
 

cogniter

Moderator
Team Astra Linux
Сообщения
507
#4
То, что где-то там чего-то есть, я очень рад. Но это не другая плохая ось, где я откуда угодно могу скачать и оно будет работать, это линукс. А потому будьте добры, не включайте дурака и поступите как вы УЖЕ поступаете- запихайте эти пакеты в обновление и назовите его обновлением безопасности. Либо распространяйте как "диск разработчика после обновления" через запрос в техподдержку- ну раз вы по другому не можете. Либо ещё как-нибудь, найдите способ, одним словом. Стыдно так халтурить. Я не луну с неба прошу.
А в чем проблема поставить их из дебиан?
 
Сообщения
136
#5
А в чем проблема поставить их из дебиан?
проблема в том, что если поставится- хорошо. Не поставится- сам дурак, зачем ставил откуда ни попадя. Только оно не поставится, я уже пытался. Ещё раз- это не винда. в которой всё на раз ставится. Делайте репозиторий тогда не мне вас учить.
 

cogniter

Moderator
Team Astra Linux
Сообщения
507
#6
проблема в том, что если поставится- хорошо. Не поставится- сам дурак, зачем ставил откуда ни попадя. Только оно не поставится, я уже пытался. Ещё раз- это не винда. в которой всё на раз ставится. Делайте репозиторий тогда не мне вас учить.
все должно нормально работать.
 

ElisAlex

New member
Сообщения
1
#7
Присоединить сторонний репозиторий уже проблема. Создайте свой с программами которые необходимы юзерам, хотя бы тем кто сидит на форуме для начала.
 
Сообщения
136
#8
А в чем проблема поставить их из дебиан?
да в том, хотя бы, что Смоленск 1.5 это Wheezy
https://astralinux.ru/products/astra-linux-special-edition/

А Wheezy больше нет.
https://packages.debian.org/search?keywords=checkinstall&searchon=names&suite=all&section=all

Вот, кстати говоря, checkinstall нашёлся тут
https://mirror.yandex.ru/debian/pool/main/c/checkinstall/
и установился dpkg -i *.deb
Что ещё ни о чём не говорит. Это в другой оси штатный способ установки программы это скачать откуда-нибудь и поставить. А тут себя преступником каким-то чувствую.
 
Последнее редактирование:
Сообщения
136
#10
А в чем проблема поставить их из дебиан?
советовать этого нельзя. Вы знали это на момент написания, а теперь и я знаю. Простой эксмперимент: в орел 2.12 отсутствует утилита debmake, но её можно установить из репозитория http://ftp.ru.debian.org/debian/ (типа орёл 2.12 это же stretch. Отныне, к сожалению, только типа)

Bash:
$ cat /etc/apt/sources.list
deb http://ftp.ru.debian.org/debian/ stretch main contrib non-free
$
И она даже будет работать нормально. Но вот пакет libgtk-3-dev из родного репозитория

Bash:
$ cat /etc/apt/sources.list
deb http://download.astralinux.ru/astra/stable/orel/repository orel main contrib non-free
$
Теперь не поставить, "чужой" debmake ломает всё к чертям. Так что вы уж пожалуйста, если вас просят что-то включить в дистрибутив, вы уж относитесь к просьбам более внимательно.
 

rev

New member
Сообщения
1
#11
Соглашусь со всем, сказанным сусликом. Кроме того, что касается Astra Linux Special Edition: мне кажется, что советовать "взять" откуда-то софт и поставить в Смоленске (а именно о нём задавался вопрос изначально) - не очень хорошая идея. И даже если Русбитех считает, что поступать так в порядке вещей, объяснить такую достановку левого софта заказчику может быть весьма нелегко. Это касается и софта из исходников, и тем более готовых бинарников.
Заказчику нужно хранить гостайну, напомним: "Astra Linux Special Edition (Смоленск): предназначена для применения в автоматизированных системах в защищенном исполнении, обрабатывающих информацию ограниченного распространения, включая государственную тайну до степени секретности "совершенно секретно"."